@echo off
if exist cfg\gunsmoke.cfg move cfg\gunsmoke.cfg cfg\gunsmoke.bak
if exist hi\gunsmoke.hi move hi\gunsmoke.hi hi\gunsmoke.bak
if exist nvram\gunsmoke.nv move nvram\gunsmoke.nv nvram\gunsmoke.bak
if exist diff\gunsmoke.dif move diff\gunsmoke.dif diff\gunsmoke.bak

mame gunsmoke -record gunsmoke.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\gunsmoke.bak move cfg\gunsmoke.bak cfg\gunsmoke.cfg
if exist hi\gunsmoke.bak move hi\gunsmoke.bak hi\gunsmoke.hi
if exist nvram\gunsmoke.bak move nvram\gunsmoke.bak nvram\gunsmoke.nv
if exist diff\gunsmoke.bak move diff\gunsmoke.bak diff\gunsmoke.dif
